/********************************************************************************************
(C) Jakub Borzdynski 2008
jotbeage@interia.pl
-----------------------------

********************************************************************************************/
#ifndef jb_btm222_h
#define jb_btm222_h
#define F_CPU 3686400UL
#include <avr/io.h> //definicje rejestrow uK
#include <avr/signal.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include "device.h"
#include "eeprom.h"
#define sbi(port, bit) port|=(1<<bit)
#define cbi(port, bit) port&=~(1<<bit)

#define BTM222_BUFFER_SIZE 25

class btm222{
	char buffer[BTM222_BUFFER_SIZE] ; //bufor na znaki odebrane z portu
	unsigned char bufferIndex ; //indeksowanie bufora
	public:
	btm222() ; //konstruktor
	void setupBTM() ; //ustawia nazwe oraz wylacza echo
	void writeChar(char byte) ; //zapisuje bajt danych do portu
	char readChar() ; //odczytuje ostatni bajt z portu
	bool isNewData() ; //zwraca jeden, gdy jest jakis bajt do odczytania
	void interrupt() ; //przerwanie
	void clearBuffer() ; //kasuje zawartosc bufora
};

extern btm222 btm ;

#endif