/********************************************************************************************
(C) Jakub Borzdynski 2009
jotbeage@interia.pl
-----------------------------

********************************************************************************************/
//definicje
#define F_CPU 3686400UL

#ifndef jb_device_h
#define jb_device_h
#define sbi(port, bit) port|=(1<<bit)
#define cbi(port, bit) port&=~(1<<bit)
#include <avr/io.h> //definicje rejestrow uK
#include <avr/signal.h>
#include <avr/interrupt.h>
#include <util/delay.h>

//maski przekaznikow LED
#define DEVICE_RELAY_1	0x08
#define DEVICE_RELAY_2	0x04
#define DEVICE_RELAY_3	0x02
#define DEVICE_RELAY_4	0x01

//maski przyciskow
#define DEVICE_KEY_1	0x80
#define DEVICE_KEY_2	0x40
#define DEVICE_KEY_3	0x20
#define DEVICE_KEY_4	0x10

class device{
	public:
	device() ; //konfiguracja 
	void setRelayState(char maska); //wymusza  okreslone stany  przekaznikow
	char getRelayState() ; //pobiera stany przekaznikow
	void relayInvert(char maska) ; //przelacza stan przekaznika
	void statusLed(bool stan); //wl/wyl statusowa diode LED
	char key() ; //zwraca wartosc maski
};

extern device dev ;

#endif